diff --git a/contrib/postgres_fdw/expected/postgres_fdw.out b/contrib/postgres_fdw/expected/postgres_fdw.out
index bb4ed3059c4..7e6b9035571 100644
--- a/contrib/postgres_fdw/expected/postgres_fdw.out
+++ b/contrib/postgres_fdw/expected/postgres_fdw.out
@@ -1,6 +1,13 @@
 -- ===================================================================
 -- create FDW objects
 -- ===================================================================
+SET client_min_messages TO 'warning';
+DROP EXTENSION IF EXISTS postgres_fdw CASCADE;
+DROP SCHEMA IF EXISTS "S 1", import_source, import_dest1, import_dest2, import_dest3, import_dest4, import_dest5 CASCADE;
+DROP TYPE IF EXISTS user_enum, "Colors", typ1 CASCADE;
+DROP TABLE IF EXISTS loct_empty, loct3, child_tbl, loc1, gloc1, trig_null, loct4, loc2, fprt1, fprt1_p1, fprt1_p2, fprt2, fprt2_p1, fprt2_p2, pagg_tab, pagg_tab_p1, pagg_tab_p2, pagg_tab_p3, ploc1, ploc2 CASCADE;
+DROP FUNCTION IF EXISTS trigger_func, trig_row_before_insupdate, trig_null, br_insert_trigfunc CASCADE;
+RESET client_min_messages;
 CREATE EXTENSION postgres_fdw;
 CREATE SERVER testserver1 FOREIGN DATA WRAPPER postgres_fdw;
 DO $d$
diff --git a/contrib/postgres_fdw/sql/postgres_fdw.sql b/contrib/postgres_fdw/sql/postgres_fdw.sql
index d45e9f8ab52..b3731df6528 100644
--- a/contrib/postgres_fdw/sql/postgres_fdw.sql
+++ b/contrib/postgres_fdw/sql/postgres_fdw.sql
@@ -2,6 +2,14 @@
 -- create FDW objects
 -- ===================================================================
 
+SET client_min_messages TO 'warning';
+DROP EXTENSION IF EXISTS postgres_fdw CASCADE;
+DROP SCHEMA IF EXISTS "S 1", import_source, import_dest1, import_dest2, import_dest3, import_dest4, import_dest5 CASCADE;
+DROP TYPE IF EXISTS user_enum, "Colors", typ1 CASCADE;
+DROP TABLE IF EXISTS loct_empty, loct3, child_tbl, loc1, gloc1, trig_null, loct4, loc2, fprt1, fprt1_p1, fprt1_p2, fprt2, fprt2_p1, fprt2_p2, pagg_tab, pagg_tab_p1, pagg_tab_p2, pagg_tab_p3, ploc1, ploc2 CASCADE;
+DROP FUNCTION IF EXISTS trigger_func, trig_row_before_insupdate, trig_null, br_insert_trigfunc CASCADE;
+RESET client_min_messages;
+
 CREATE EXTENSION postgres_fdw;
 
 CREATE SERVER testserver1 FOREIGN DATA WRAPPER postgres_fdw;
